# Run the solvation workflow with relaxed haem-O2
#
# Created by YL Jul 2021
# Revised by YL, KS, TWK Oct-Dec 2021

# Initialise ChemShell
from chemsh import *

# Read in the PDB file created at the initial preparation step
p450 = Fragment(coords='p450_a.pdb')

# Create a NAMD theory object defining parameters and topology of the P450 system
my_namd = NAMD(par=['camphor.prm'], top=['camphor.rtf'])

# Create a Solvation workflow instance
solv = Solvation(solute=p450, padding=10.0, driver=my_namd,
        length_nvt=1000, minimisation_nvt=1000,
        length_npt=1000, minimisation_npt=1000,
        length_production=2000, nsnapshots=5,
        relax_extra_npt=['HEM','OXY'])

# Run the solvation workflow
solv.run()
